%global modulename prop-types

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-prop-types
Version:        15.6.2
Release:        1%{?dist}
Summary:        Runtime type checking for React props and similar objects.

License:        MIT
URL:            https://facebook.github.io/react/
Source0:        https://registry.npmjs.org/prop-types/-/prop-types-15.6.2.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(loose-envify) >= 1.3.1 with npmlib(loose-envify) < 2.0.0))
BuildRequires:  ((npmlib(object-assign) >= 4.1.1 with npmlib(object-assign) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Runtime type checking for React props and similar objects.

%package 15.6.2
Summary:        Runtime type checking for React props and similar objects.


%description 15.6.2
Runtime type checking for React props and similar objects.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr checkPropTypes.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr factory.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr factoryWithThrowingShims.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr factoryWithTypeCheckers.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr prop-types.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr prop-types.min.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 15.6.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 15.6.2-1
- Package automatically generated by npm2srpm
